<?php

/**
* Created by : Julien Dubois.
* Version : 2;
* Update date : 13.05.2022
*/

require_once("../Workers/Connexion.php");
class LoginDBManager{

    private $connexion;


    /**
     * constructeur permettant de prendre l'instance de la connection a la base de donnée
     */
    public function __construct()
    {
        $this->connexion = Connexion::getInstance();
    }

    /**
     * Cette méthode a pour but de vérifier si l'utilisateur existe bien dans la db.
     * 
     * @param pseudo le nom de l'utilisateur
     * @param mdp le mot de passe de l'utilisateur
     */
    public function userLogin($pseudo,$mdp){
        $answer = false;
        $query = $this->connexion->selectQuery("select * from T_User where pseudo=:pseudo", array('pseudo' => $pseudo));
        if (!empty($query)) {
            foreach ($query as $item) {
                if (password_verify($mdp, $item['mdp'])) {
                    $answer = true;
                }
            }
        } 
        return $answer;
    }

}

?>